Tags
Creates a Tag resource.
Authorizations
Body
titlestring · nullableRequired
backgroundColorstring · nullableOptional
Background color of label
textColorstring · nullableOptional
Text color of label
descriptionstring · nullableOptional
Description of tag
Responses
201
Tag resource created
@contextone ofOptional
stringOptional
@idstringRequired
@typestringRequired
idstring · nullableOptional
backgroundColorstring · nullableOptional
textColorstring · nullableOptional
titlestring · nullableRequired
descriptionstring · nullableOptional
createdAtstring · nullableOptional
updatedAtstring · nullableOptional
400
Invalid input
403
Forbidden
422
An error occurred
post/tags
POST /tags HTTP/1.1
Host: api.rogerroger.io
Content-Type: application/ld+json
Accept: */*
Content-Length: 73
{
"title": null,
"backgroundColor": null,
"textColor": null,
"description": null
}{
"@context": "text",
"@id": "text",
"@type": "text",
"id": null,
"backgroundColor": null,
"textColor": null,
"title": null,
"description": null,
"createdAt": null,
"updatedAt": null
}Retrieves a Tag resource.
Authorizations
Path parameters
idstringRequired
Tag identifier
Responses
200
Tag resource
@contextone ofOptional
stringOptional
@idstringRequired
@typestringRequired
idstring · nullableOptional
backgroundColorstring · nullableOptional
textColorstring · nullableOptional
titlestring · nullableRequired
descriptionstring · nullableOptional
createdAtstring · nullableOptional
updatedAtstring · nullableOptional
403
Forbidden
404
Not found
get/tags/{id}
GET /tags/{id} HTTP/1.1
Host: api.rogerroger.io
Accept: */*
{
"@context": "text",
"@id": "text",
"@type": "text",
"id": null,
"backgroundColor": null,
"textColor": null,
"title": null,
"description": null,
"createdAt": null,
"updatedAt": null
}Updates the Tag resource.
Authorizations
Path parameters
idstringRequired
Tag identifier
Body
idstring · nullableOptional
backgroundColorstring · nullableOptional
textColorstring · nullableOptional
titlestring · nullableOptional
descriptionstring · nullableOptional
createdAtstring · nullableOptional
updatedAtstring · nullableOptional
Responses
200
Tag resource updated
@contextone ofOptional
stringOptional
@idstringRequired
@typestringRequired
idstring · nullableOptional
backgroundColorstring · nullableOptional
textColorstring · nullableOptional
titlestring · nullableRequired
descriptionstring · nullableOptional
createdAtstring · nullableOptional
updatedAtstring · nullableOptional
400
Invalid input
403
Forbidden
404
Not found
422
An error occurred
patch/tags/{id}
PATCH /tags/{id} HTTP/1.1
Host: api.rogerroger.io
Content-Type: application/merge-patch+json
Accept: */*
Content-Length: 117
{
"id": null,
"backgroundColor": null,
"textColor": null,
"title": null,
"description": null,
"createdAt": null,
"updatedAt": null
}{
"@context": "text",
"@id": "text",
"@type": "text",
"id": null,
"backgroundColor": null,
"textColor": null,
"title": null,
"description": null,
"createdAt": null,
"updatedAt": null
}Replaces the Tag resource.
Authorizations
Path parameters
idstringRequired
Tag identifier
Body
idstring · nullableOptional
backgroundColorstring · nullableOptional
textColorstring · nullableOptional
titlestring · nullableRequired
descriptionstring · nullableOptional
createdAtstring · nullableOptional
updatedAtstring · nullableOptional
Responses
200
Tag resource updated
@contextone ofOptional
stringOptional
@idstringRequired
@typestringRequired
idstring · nullableOptional
backgroundColorstring · nullableOptional
textColorstring · nullableOptional
titlestring · nullableRequired
descriptionstring · nullableOptional
createdAtstring · nullableOptional
updatedAtstring · nullableOptional
400
Invalid input
403
Forbidden
404
Not found
422
An error occurred
put/tags/{id}
PUT /tags/{id} HTTP/1.1
Host: api.rogerroger.io
Content-Type: application/ld+json
Accept: */*
Content-Length: 117
{
"id": null,
"backgroundColor": null,
"textColor": null,
"title": null,
"description": null,
"createdAt": null,
"updatedAt": null
}{
"@context": "text",
"@id": "text",
"@type": "text",
"id": null,
"backgroundColor": null,
"textColor": null,
"title": null,
"description": null,
"createdAt": null,
"updatedAt": null
}Retrieves the collection of Tag resources.
Authorizations
Query parameters
pageintegerOptionalDefault:
The collection page number
1itemsPerPageinteger · max: 30OptionalDefault:
The number of items per page
15idstringOptional
id[]string[]Optional
Responses
200
Tag collection
totalItemsintegerOptional
403
Forbidden
get/tags
GET /tags HTTP/1.1
Host: api.rogerroger.io
Accept: */*
{
"member": [
{
"@context": "text",
"@id": "text",
"@type": "text",
"id": null,
"backgroundColor": null,
"textColor": null,
"title": null,
"description": null,
"createdAt": null,
"updatedAt": null
}
],
"totalItems": 1,
"view": {
"@id": "string",
"type": "string",
"first": "string",
"last": "string",
"previous": "string",
"next": "string"
},
"search": {
"@type": "text",
"template": "text",
"variableRepresentation": "text",
"mapping": [
{
"@type": "text",
"variable": "text",
"property": null,
"required": true
}
]
}
}Last updated

